Get offers by filters
curl --request GET \
--url https://{host}/promotion/v2/campaigns \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/promotion/v2/campaigns"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/promotion/v2/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"campaignId": "<string>",
"campaignName": "<string>",
"unifiedCampaignId": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"previewVisibleFrom": "2023-11-07T05:31:56Z",
"campaignType": "<string>",
"content": {
"iconTags": [
{
"name": "<string>",
"iconUrl": "<string>"
}
],
"title": "<string>",
"description": "<string>",
"brand": "<string>",
"imageUrl": "<string>",
"discountLabel": "<string>",
"normalPriceLabel": "<string>",
"pricePerUnitLabelEnabled": true,
"unitOfMeasure": "<string>",
"conditionLabel": "<string>",
"receiptDisplayText": "<string>",
"tags": [
"<string>"
],
"icons": [
"<string>"
],
"autogenerateDiscountLabel": true
},
"prices": {
"currency": "<string>",
"normalPrice": 50000000,
"price": 123,
"normalPricePerUnit": 50000000,
"pricePerUnit": 123
},
"discount": {
"priority": 123,
"allowOtherDiscountsOnTop": true,
"itemsApplicationType": "AllItems",
"impactLevel": "Line",
"maxDiscountAmount": 123,
"maxDiscountAmountPerCoupon": 123,
"maxNumberApplyPerReceipt": 123,
"maxNumberApplyPerReceiptDecimal": 123,
"applyOnHighestPrice": true,
"applicationType": "OnThreshold",
"discountType": "Unknown",
"checkoutTypes": [
"<string>"
],
"rewardRedemptionSettings": {
"redeemableFrom": "2023-11-07T05:31:56Z",
"redeemableTo": "2023-11-07T05:31:56Z",
"redeemableForDays": 123
},
"rules": [
{
"type": "FixedPrice",
"value": 50000000,
"thresholdType": "Quantity",
"thresholdValue": 50000000,
"affiliations": [
{
"type": "Product",
"id": "<string>",
"applicationType": "Include"
}
]
}
]
},
"status": "Imported",
"redemptionLimit": 123,
"totalCoupons": 123,
"statistics": {
"assignedCoupons": 123,
"activatedCoupons": 123,
"claimedCoupons": 123,
"totalValue": 123,
"minValue": 123,
"maxValue": 123,
"avgValue": 123,
"minBasket": 123,
"maxBasket": 123,
"avgBasket": 123
},
"chainIds": [
"<string>"
],
"storeIds": [
"<string>"
],
"isDefault": true,
"offerSynchronized": true,
"fundedBy": "<string>",
"audience": {
"audienceId": "<string>"
},
"metadata": {},
"authorName": "<string>",
"isTemplate": true,
"displayPriority": 123,
"preactivated": true,
"ignoreOnPos": true,
"defaultValidForDays": 123,
"rewardRedemptionSettings": {
"redeemableFrom": "2023-11-07T05:31:56Z",
"redeemableTo": "2023-11-07T05:31:56Z",
"redeemableForDays": 123
},
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedBy": "<string>"
}
],
"totalAmount": 123,
"currentPage": 123
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get offers by filters
By default, does not return any relations or statistics. Needed relations should be explicitly specified.
Can also be called without any filters, in which case all available offers will be returned.
GET
/
v2
/
campaigns
Get offers by filters
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Query Parameters
Maximum string length:
255Maximum string length:
64Maximum string length:
255Available options:
Imported, Published Available options:
Imported, Active, Expired, Scheduled Available options:
StoresAndChains, Statistics, Discount Last modified on August 10, 2026
⌘I